# Class MbeansDescriptorsDigesterSource

java.lang.Object
org.apache.tomcat.util.modeler.modules.ModelerSource
org.apache.tomcat.util.modeler.modules.MbeansDescriptorsDigesterSource

public class MbeansDescriptorsDigesterSource extends ModelerSource

- ## Field Summary

  ### Fields inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource

  `sm, source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MbeansDescriptorsDigesterSource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  `List<ObjectName>`
  `loadDescriptors(Registry registry, String type, Object source)`
  Load data, returns a list of items.
  `void`
  `setRegistry(Registry reg)`
  `void`
  `setSource(Object source)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MbeansDescriptorsDigesterSource

    public MbeansDescriptorsDigesterSource()

- ## Method Details

  - ### setRegistry

    public void setRegistry(Registry reg)

  - ### setSource

    public void setSource(Object source)

  - ### loadDescriptors

    public List<ObjectName> loadDescriptors(Registry registry, String type, Object source) throws Exception
    Description copied from class: `ModelerSource`
    Load data, returns a list of items.
    Specified by:
      `loadDescriptors` in class `ModelerSource`
    Parameters:
      `registry` - The registry
      `type` - The bean registry type
      `source` - Introspected object or some other source
    Returns:
      a list of object names
    Throws:
      `Exception` - Error loading descriptors

  - ### execute

    public void execute() throws Exception
    Throws:
      `Exception`